<% if user_signed_in? ? @welcome = " - Welcome #{current_user.first_name}".html_safe : @welcome = nil %><% end %>

<div class="container">

    <div class="masthead">
        <div class="row">
          <div class="col-md-9"><h3 class="text-muted">Sheet Music Analyser<%= @welcome %></h3></div>
        </div>

        <nav class="navbar navbar-light bg-faded rounded mb-3">
          <div class="container">
              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>
              <% if (!user_signed_in?) && (!admin_signed_in?) %>
                  <%= link_to "Log in", "#login", "data-toggle" => "modal", :class => 'btn btn-default navbar-btn btn-small btn-info' %>
                  <%= link_to '<i class="fa fa-google-plus-square"></i>'.html_safe, user_google_oauth2_omniauth_authorize_path, class: 'btn btn-social-icon btn-google navbar-btn' %>
                  <%= link_to '<i class="fa fa-facebook-square"></i>'.html_safe, user_facebook_omniauth_authorize_path, class: 'btn btn-social-icon btn-facebook navbar-btn' %>
                  <%= link_to "Sign up", "#sign_up", "data-toggle" => "modal", :class => 'btn btn-default navbar-btn btn-small btn-info' %>
              <% end %>
              <% if user_signed_in? %>
                  <%= link_to "My profile", current_user, :class => 'btn navbar-btn btn-small btn-info' %>
                  <%= link_to "My scores", users_scores_path, :class => 'btn navbar-btn btn-small btn-info' %>
                  <%= link_to "Public scores", scores_path, :class => 'btn navbar-btn btn-small btn-primary' %>
                  <%= link_to('Log out', destroy_user_session_path, :method => :delete, :class => 'navbar-nav navbar-right btn navbar-btn btn-small btn-danger') %>
              <% end %>
              <% if admin_signed_in? %>
                  <%= link_to('Log out', destroy_admin_session_path, :method => :delete, :class => 'btn navbar-btn btn-small btn-danger') %>
              <% end %>
          </div>
          
          <div class="collapse navbar-toggleable-md" id="navbarCollapse">
            <ul class="nav navbar-nav text-md-center justify-content-md-between">
              <li class="nav-item active">
                <%= link_to "Home", root_path, :class => 'nav-link' %>
              </li>
              <li class="nav-item">
                <%= link_to "Downloads", scores_path, :class => 'nav-link' %>
              </li>
              <li class="nav-item">
                <%= link_to "Help", root_path, :class => 'nav-link' %>
              </li>
              <li class="nav-item">
                <%= link_to "Contact Us", root_path, :class => 'nav-link' %>
              </li>
              <li class="nav-item">
                <%= link_to "About", root_path, :class => 'nav-link' %>
              </li>
            </ul>
          </div>
        </nav>
    </div>
</div>